﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    url            = 'https://github.com//gohugoio/hugo/releases/download/v0.51/hugo_0.51_Windows-32bit.zip'
    url64          = 'https://github.com//gohugoio/hugo/releases/download/v0.55.6/hugo_0.55.6_Windows-64bit.zip'

    checksum       = 'BB6AE1134F2772D77A257C81DF526518406429918D636E3A0CB05D853A1E486E'
    checksumType   = 'sha256'
    checksum64     = 'e1b3c9aa3ab277e4510a057fa62944f4946f2be92d8dfa0072b8db0926350daf'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
